<?php
/**
 * The template for displaying the sitemap page
 *
 * @package Reach
 * @global $options
 */

use Reach\App\SEO;
use Reach\App\Theme\ThemeStyles;
use Reach\App\Fields\SiteOptions;

// get site options
$options = SiteOptions::getSiteOptions();

$background = $options['body_background']['background_color'];
$color_contrast   = ThemeStyles::colorLightOrDark( $background , 'dark', 'light' );

get_header();

// get page header markup
get_template_part( 'components/page', 'header' );
?>

    <section class="page--sitemap <?php echo 'text--' . $color_contrast; ?>">
        <div class="page__content">
            <div class="container">
                <div class="entry__content entry__content--sitemap" tabindex="0">
                    <?php echo ( new SEO() )->outputSitemapList(); ?>
                </div><!-- .entry__content -->
            </div>
        </div>

    </section><!-- #post-## -->

<?php
get_footer();